python2-neovim-0.3.2-1.el7.noarch.rpm


Advertisement

Description

python2-neovim - Python client to Neovim

Property Value
Distribution CentOS 7
Repository EPEL x86_64
Package filename python2-neovim-0.3.2-1.el7.noarch.rpm
Package name python2-neovim
Package version 0.3.2
Package release 1.el7
Package architecture noarch
Package type rpm
Homepage https://github.com/neovim/pynvim
License ASL 2.0
Maintainer -
Download size 75.39 KB
Installed size 246.67 KB
Implements support for python plugins in Nvim. Also works as a library for
connecting to and scripting Nvim processes through its msgpack-rpc API.

Alternatives

Package Version Architecture Repository
python2-neovim - - -

Requires

Name Value
neovim -
python(abi) = 2.7
python-greenlet -
python-trollius -

Provides

Name Value
python-neovim = 0.3.2-1.el7
python2-neovim = 0.3.2-1.el7

Obsoletes

Name Value
python-neovim < 0.3.2-1.el7

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package python2-neovim-0.3.2-1.el7.noarch.rpm
Source Package python-neovim-0.3.2-1.el7.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/7/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install python2-neovim rpm package:
    # yum install python2-neovim

Files

Path
/usr/lib/python2.7/site-packages/neovim/__init__.py
/usr/lib/python2.7/site-packages/neovim/__init__.pyc
/usr/lib/python2.7/site-packages/neovim/__init__.pyo
/usr/lib/python2.7/site-packages/neovim/api/__init__.py
/usr/lib/python2.7/site-packages/neovim/api/__init__.pyc
/usr/lib/python2.7/site-packages/neovim/api/__init__.pyo
/usr/lib/python2.7/site-packages/pynvim/__init__.py
/usr/lib/python2.7/site-packages/pynvim/__init__.pyc
/usr/lib/python2.7/site-packages/pynvim/__init__.pyo
/usr/lib/python2.7/site-packages/pynvim/compat.py
/usr/lib/python2.7/site-packages/pynvim/compat.pyc
/usr/lib/python2.7/site-packages/pynvim/compat.pyo
/usr/lib/python2.7/site-packages/pynvim/util.py
/usr/lib/python2.7/site-packages/pynvim/util.pyc
/usr/lib/python2.7/site-packages/pynvim/util.pyo
/usr/lib/python2.7/site-packages/pynvim-0.3.2-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/pynvim-0.3.2-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/pynvim-0.3.2-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/pynvim-0.3.2-py2.7.egg-info/not-zip-safe
/usr/lib/python2.7/site-packages/pynvim-0.3.2-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/pynvim-0.3.2-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/pynvim/api/__init__.py
/usr/lib/python2.7/site-packages/pynvim/api/__init__.pyc
/usr/lib/python2.7/site-packages/pynvim/api/__init__.pyo
/usr/lib/python2.7/site-packages/pynvim/api/buffer.py
/usr/lib/python2.7/site-packages/pynvim/api/buffer.pyc
/usr/lib/python2.7/site-packages/pynvim/api/buffer.pyo
/usr/lib/python2.7/site-packages/pynvim/api/common.py
/usr/lib/python2.7/site-packages/pynvim/api/common.pyc
/usr/lib/python2.7/site-packages/pynvim/api/common.pyo
/usr/lib/python2.7/site-packages/pynvim/api/nvim.py
/usr/lib/python2.7/site-packages/pynvim/api/nvim.pyc
/usr/lib/python2.7/site-packages/pynvim/api/nvim.pyo
/usr/lib/python2.7/site-packages/pynvim/api/tabpage.py
/usr/lib/python2.7/site-packages/pynvim/api/tabpage.pyc
/usr/lib/python2.7/site-packages/pynvim/api/tabpage.pyo
/usr/lib/python2.7/site-packages/pynvim/api/window.py
/usr/lib/python2.7/site-packages/pynvim/api/window.pyc
/usr/lib/python2.7/site-packages/pynvim/api/window.pyo
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/__init__.py
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/__init__.pyc
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/__init__.pyo
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/async_session.py
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/async_session.pyc
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/async_session.pyo
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/msgpack_stream.py
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/msgpack_stream.pyc
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/msgpack_stream.pyo
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/session.py
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/session.pyc
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/session.pyo
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/__init__.py
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/__init__.pyc
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/__init__.pyo
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/asyncio.py
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/asyncio.pyc
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/asyncio.pyo
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/base.py
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/base.pyc
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/base.pyo
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/uv.py
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/uv.pyc
/usr/lib/python2.7/site-packages/pynvim/msgpack_rpc/event_loop/uv.pyo
/usr/lib/python2.7/site-packages/pynvim/plugin/__init__.py
/usr/lib/python2.7/site-packages/pynvim/plugin/__init__.pyc
/usr/lib/python2.7/site-packages/pynvim/plugin/__init__.pyo
/usr/lib/python2.7/site-packages/pynvim/plugin/decorators.py
/usr/lib/python2.7/site-packages/pynvim/plugin/decorators.pyc
/usr/lib/python2.7/site-packages/pynvim/plugin/decorators.pyo
/usr/lib/python2.7/site-packages/pynvim/plugin/host.py
/usr/lib/python2.7/site-packages/pynvim/plugin/host.pyc
/usr/lib/python2.7/site-packages/pynvim/plugin/host.pyo
/usr/lib/python2.7/site-packages/pynvim/plugin/script_host.py
/usr/lib/python2.7/site-packages/pynvim/plugin/script_host.pyc
/usr/lib/python2.7/site-packages/pynvim/plugin/script_host.pyo
/usr/share/doc/python2-neovim-0.3.2/README.md
/usr/share/licenses/python2-neovim-0.3.2/LICENSE

Changelog

2019-06-20 - Michel Alexandre Salim <salimma@fedoraproject.org> - 0.3.2-1
- Update to version 0.3.2
- Properly build the python2 subpackage
2019-03-08 - Troy Dawson <tdawson@redhat.com> - 0.3.1-3
- Rebuilt to change main python from 3.4 to 3.6
2019-01-31 - Matěj Cepl <mcepl@cepl.eu> - 0.3.1-2
- Make python2 subpackage working.
2019-01-02 - Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-2
- Enable python dependency generator
2019-01-02 - Andreas Schneider <asn@redhat.com> - 0.3.1-1
- Update to version 0.3.1
2018-09-26 - Andreas Schneider <asn@redhat.com> - 0.2.6-4
- resolves: #1632298 - Remove python2 sub-packages
2018-07-14 - Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-06-19 - Miro Hrončok <mhroncok@redhat.com> - 0.2.6-2
- Rebuilt for Python 3.7
2018-05-03 - Andreas Schneider <asn@redhat.com> - 0.2.6-1
- resolves: #1574026 - Update to 0.2.6
2018-03-12 - Filip Szymański <fszymanski@fedoraproject.org> - 0.2.4-1
- resolves: #1541621 - Update to 0.2.4
- Add -doc subpackage

See Also

Package Description
python2-netcdf4-1.2.7-4.el7.x86_64.rpm Python/numpy interface to netCDF
python2-netdiff-0.4.7-2.el7.noarch.rpm Python library for parsing network topology data and detect changes
python2-networkmanager-2.0.1-1.el7.noarch.rpm Easy communication with NetworkManager
python2-ngram-3.3.0-10.git20161104.325e279.el7.noarch.rpm Set-based subclass providing fuzzy search based on N-grams
python2-nitrate-1.4-1.el7.noarch.rpm Python API for the Nitrate test case management system
python2-nordugrid-arc-5.4.4-2.el7.x86_64.rpm ARC Python 2 wrapper
python2-nordugrid-arc6-6.2.0-1.el7.x86_64.rpm ARC Python 2 wrapper
python2-nose_fixes-1.3-1.el7.noarch.rpm Plugin to make nose behave better
python2-notario-0.0.11-2.el7.noarch.rpm A dictionary validator
python2-ns1-python-0.11.0-1.el7.noarch.rpm Python SDK for the NS1 DNS platform
python2-ntlm-auth-1.1.0-1.el7.noarch.rpm Python 3 compatible NTLM library
python2-numexpr-2.7.0-1.el7.x86_64.rpm Fast numerical array expression evaluator for Python and NumPy
python2-numpy-1.7.1-0.el7.noarch.rpm Dummy package depending on numpy
python2-oauth2client-4.0.0-2.el7.noarch.rpm Python client library for OAuth 2.0
python2-odcs-client-0.2.10-1.el7.x86_64.rpm ODCS client module
Advertisement
Advertisement